/**
  ******************************************************************************
  * @file board_led.h
  * @brief Header for board_led.c - Constants for registers'values
  * @author STMicroelectronics - MMY Application Team 
  * @version V1.0
  * @date 
  ******************************************************************************
  *
  */
	
	
#ifndef __BOARD_LED_H
#define __BOARD_LED_H

// Includes ------------------------------------------------------------------
// Same level
#include "board_config.h"
//Lower level
#include "stm8l15x.h"




//LED pins--------------------------------------------------
#define BLUE_LED 		0x08
#define RED_LED 		0x04
#define YELLOW_LED 	0x02
#define GREEN_LED		0x01
#define ALL_LED			0x0F 
// For discovery board 
// Those constants are only created to easy the read functions will handle the bord pin
#define BLUE_LED_DISCOVERYBOARD	0x80
#define GREEN_LED_DISCOVERYBOARD 0x80
// Note that LED are activated at low level. Schematic : 5v___|LED|___pin of MCU
//--------------------------------------------------------------------------------

// Exported functions --------------------------------------------------------

void LED_Switch_on(u8 LED);

void LED_Switch_off(u8 LED);


#endif /*__BOARD_LED_H */
